# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2019-11-18 12:53
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('auto', '0037_auto_20191023_1113'),
    ]

    operations = [
        migrations.CreateModel(
            name='AutoDataBase',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='-', max_length=255, verbose_name='Название статьи')),
                ('text', models.TextField(blank=True, default='-', null=True, verbose_name='Текст статьи')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Дата создания')),
                ('description', models.CharField(default='', max_length=255, verbose_name='Краткое описание')),
            ],
            options={
                'verbose_name': 'База знаний об автомобилях',
            },
        ),
        migrations.CreateModel(
            name='AutoDataBaseCategorys',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='-', max_length=255, verbose_name='Название категории')),
            ],
            options={
                'verbose_name': 'Категории статии',
            },
        ),
        migrations.AddField(
            model_name='autodatabase',
            name='category',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.AutoDataBaseCategorys', verbose_name='Категория'),
        ),
        migrations.AddField(
            model_name='autodatabase',
            name='generation',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.Generation', verbose_name='Поколение'),
        ),
        migrations.AddField(
            model_name='autodatabase',
            name='mark_auto',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.MarkAuto', verbose_name='Марка'),
        ),
        migrations.AddField(
            model_name='autodatabase',
            name='model_auto',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.ModelAuto', verbose_name='Модель'),
        ),
    ]
